CarbideUIPlugin (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.ui.CarbideUIPlugin class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cpp.ui
Class CarbideUIPlugin

    java.lang.Object
      AbstractUIPlugin
          com.nokia.carbide.cpp.ui.CarbideUIPlugin

    public class CarbideUIPlugin

extends AbstractUIPlugin

The activator class controls the plug-in life cycle

Field Summary
`static java.lang.String` | `PLUGIN_ID`

Constructor Summary
`CarbideUIPlugin()` The constructor

Method Summary
`static CarbideUIPlugin` | `getDefault()` Returns the shared instance
`static ICarbideSharedImages` | `getSharedImages()` Provides access to images published by this plugin.
`static void` | `log(IStatus status)`
`static void` | `log(java.lang.Throwable thr, java.lang.String msg)`
`void` | `start(BundleContext context)`
`void` | `stop(BundleContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

See Also:
  Constant Field Values

Constructor Detail

### CarbideUIPlugin

    public CarbideUIPlugin()

  The constructor

Method Detail

### start

    public void start(BundleContext context)
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stop

    public void stop(BundleContext context)
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getDefault

    public static CarbideUIPlugin getDefault()

  Returns the shared instance

  Returns:
    the shared instance

### getSharedImages

    public static ICarbideSharedImages getSharedImages()

  Provides access to images published by this plugin.

  Returns:

### log

    public static void log(IStatus status)

### log

    public static void log(java.lang.Throwable thr,
                           java.lang.String msg)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD